#ifndef STATE_MACHINE_CONSTRUCTION_H
#define STATE_MACHINE_CONSTRUCTION_H


// This file is auto-generated using generate_state_machine.py
// Don't edit this file by hand. Always use the generator script!

#include "state_machine.h"
#include "sd_sector_addresses.h"
#include "states_array.h"
#include "menu.h"

ShortcutMenu construct_statemachine()
{
    //All gait sequences are constructed
GaitSequence training_start_menu_home_sit(&states_array[TRAINING_START_MENU_HOME_SIT], &states_array[TRAINING_START_MENU_HOME_SIT_SELECTED], &states_array[TRAINING_START_MENU_HOME_SIT_ACTIVATED], &states_array[TRAINING_START_MENU_STAND_D]);
GaitSequence training_sit_menu_stand(&states_array[TRAINING_SIT_MENU_STAND], &states_array[TRAINING_SIT_MENU_STAND_SELECTED], &states_array[TRAINING_SIT_MENU_STAND_ACTIVATED], &states_array[TRAINING_OBSTACLE_MENU_SIT_MENU]);
GaitSequence training_start_menu_stand_d(&states_array[TRAINING_START_MENU_STAND_D], &states_array[TRAINING_START_MENU_STAND_D_SELECTED], &states_array[TRAINING_START_MENU_STAND_D_ACTIVATED], &states_array[TRAINING_START_MENU_STAND_D]);
GaitSequence training_curb_menu_curb_up(&states_array[TRAINING_CURB_MENU_CURB_UP], &states_array[TRAINING_CURB_MENU_CURB_UP_SELECTED], &states_array[TRAINING_CURB_MENU_CURB_UP_ACTIVATED], &states_array[TRAINING_OBSTACLE_MENU_CURB_MENU]);
GaitSequence training_curb_menu_realsense_curb_up(&states_array[TRAINING_CURB_MENU_REALSENSE_CURB_UP], &states_array[TRAINING_CURB_MENU_REALSENSE_CURB_UP_SELECTED], &states_array[TRAINING_CURB_MENU_REALSENSE_CURB_UP_ACTIVATED], &states_array[TRAINING_OBSTACLE_MENU_CURB_MENU]);
GaitSequence training_start_menu_realsense_curb_up_d(&states_array[TRAINING_START_MENU_REALSENSE_CURB_UP_D], &states_array[TRAINING_START_MENU_REALSENSE_CURB_UP_D_SELECTED], &states_array[TRAINING_START_MENU_REALSENSE_CURB_UP_D_ACTIVATED], &states_array[TRAINING_START_MENU_REALSENSE_CURB_UP_D]);
GaitSequence training_curb_menu_curb_down(&states_array[TRAINING_CURB_MENU_CURB_DOWN], &states_array[TRAINING_CURB_MENU_CURB_DOWN_SELECTED], &states_array[TRAINING_CURB_MENU_CURB_DOWN_ACTIVATED], &states_array[TRAINING_OBSTACLE_MENU_CURB_MENU]);
GaitSequence training_curb_menu_realsense_curb_down(&states_array[TRAINING_CURB_MENU_REALSENSE_CURB_DOWN], &states_array[TRAINING_CURB_MENU_REALSENSE_CURB_DOWN_SELECTED], &states_array[TRAINING_CURB_MENU_REALSENSE_CURB_DOWN_ACTIVATED], &states_array[TRAINING_OBSTACLE_MENU_CURB_MENU]);
GaitSequence training_walk_menu_walk(&states_array[TRAINING_WALK_MENU_WALK], &states_array[TRAINING_WALK_MENU_WALK_SELECTED], &states_array[TRAINING_WALK_MENU_WALK_ACTIVATED], &states_array[TRAINING_WALK_MENU_WALK]);
GaitSequence training_walk_menu_walk_single_step(&states_array[TRAINING_WALK_MENU_WALK_SINGLE_STEP], &states_array[TRAINING_WALK_MENU_WALK_SINGLE_STEP_SELECTED], &states_array[TRAINING_WALK_MENU_WALK_SINGLE_STEP_ACTIVATED], &states_array[TRAINING_WALK_MENU_WALK_SINGLE_STEP]);
GaitSequence training_walk_menu_home_stand(&states_array[TRAINING_WALK_MENU_HOME_STAND], &states_array[TRAINING_WALK_MENU_HOME_STAND_SELECTED], &states_array[TRAINING_WALK_MENU_HOME_STAND_ACTIVATED], &states_array[TRAINING_WALK_MENU_WALK]);
GaitSequence training_sit_menu_sit(&states_array[TRAINING_SIT_MENU_SIT], &states_array[TRAINING_SIT_MENU_SIT_SELECTED], &states_array[TRAINING_SIT_MENU_SIT_ACTIVATED], &states_array[TRAINING_SIT_MENU_STAND]);
GaitSequence training_walk_menu_walk_large(&states_array[TRAINING_WALK_MENU_WALK_LARGE], &states_array[TRAINING_WALK_MENU_WALK_LARGE_SELECTED], &states_array[TRAINING_WALK_MENU_WALK_LARGE_ACTIVATED], &states_array[TRAINING_WALK_MENU_WALK_LARGE]);
GaitSequence training_walk_menu_walk_large_single_step(&states_array[TRAINING_WALK_MENU_WALK_LARGE_SINGLE_STEP], &states_array[TRAINING_WALK_MENU_WALK_LARGE_SINGLE_STEP_SELECTED], &states_array[TRAINING_WALK_MENU_WALK_LARGE_SINGLE_STEP_ACTIVATED], &states_array[TRAINING_WALK_MENU_WALK_LARGE_SINGLE_STEP]);
GaitSequence training_start_menu_realsense_stand_d(&states_array[TRAINING_START_MENU_REALSENSE_STAND_D], &states_array[TRAINING_START_MENU_REALSENSE_STAND_D_SELECTED], &states_array[TRAINING_START_MENU_REALSENSE_STAND_D_ACTIVATED], &states_array[TRAINING_START_MENU_REALSENSE_STAND_D]);
GaitSequence training_sit_menu_realsense_stand(&states_array[TRAINING_SIT_MENU_REALSENSE_STAND], &states_array[TRAINING_SIT_MENU_REALSENSE_STAND_SELECTED], &states_array[TRAINING_SIT_MENU_REALSENSE_STAND_ACTIVATED], &states_array[TRAINING_OBSTACLE_MENU_SIT_MENU]);
GaitSequence training_start_menu_realsense_sit_d(&states_array[TRAINING_START_MENU_REALSENSE_SIT_D], &states_array[TRAINING_START_MENU_REALSENSE_SIT_D_SELECTED], &states_array[TRAINING_START_MENU_REALSENSE_SIT_D_ACTIVATED], &states_array[TRAINING_START_MENU_REALSENSE_STAND_D]);
GaitSequence training_sit_menu_realsense_sit(&states_array[TRAINING_SIT_MENU_REALSENSE_SIT], &states_array[TRAINING_SIT_MENU_REALSENSE_SIT_SELECTED], &states_array[TRAINING_SIT_MENU_REALSENSE_SIT_ACTIVATED], &states_array[TRAINING_SIT_MENU_REALSENSE_STAND]);
GaitSequence training_stairs_up_menu_stairs_up(&states_array[TRAINING_STAIRS_UP_MENU_STAIRS_UP], &states_array[TRAINING_STAIRS_UP_MENU_STAIRS_UP_SELECTED], &states_array[TRAINING_STAIRS_UP_MENU_STAIRS_UP_ACTIVATED], &states_array[TRAINING_OBSTACLE_MENU_STAIRS_MENU]);
GaitSequence training_stairs_up_menu_stairs_up_single_step(&states_array[TRAINING_STAIRS_UP_MENU_STAIRS_UP_SINGLE_STEP], &states_array[TRAINING_STAIRS_UP_MENU_STAIRS_UP_SINGLE_STEP_SELECTED], &states_array[TRAINING_STAIRS_UP_MENU_STAIRS_UP_SINGLE_STEP_ACTIVATED], &states_array[TRAINING_STAIRS_UP_MENU_STAIRS_UP_SINGLE_STEP]);
GaitSequence training_stairs_up_menu_realsense_stairs_up(&states_array[TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP], &states_array[TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP_SELECTED], &states_array[TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP_ACTIVATED], &states_array[TRAINING_OBSTACLE_MENU_STAIRS_MENU]);
GaitSequence training_stairs_up_menu_realsense_stairs_up_single_step(&states_array[TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP], &states_array[TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP_SELECTED], &states_array[TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP_ACTIVATED], &states_array[TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP]);
GaitSequence training_start_menu_realsense_stairs_up_single_step_d(&states_array[TRAINING_START_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP_D], &states_array[TRAINING_START_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP_D_SELECTED], &states_array[TRAINING_START_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP_D_ACTIVATED], &states_array[TRAINING_START_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP_D]);
GaitSequence training_stairs_down_menu_stairs_down(&states_array[TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN], &states_array[TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN_SELECTED], &states_array[TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN_ACTIVATED], &states_array[TRAINING_OBSTACLE_MENU_STAIRS_MENU]);
GaitSequence training_stairs_down_menu_stairs_down_single_step(&states_array[TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN_SINGLE_STEP], &states_array[TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN_SINGLE_STEP_SELECTED], &states_array[TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN_SINGLE_STEP_ACTIVATED], &states_array[TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN_SINGLE_STEP]);
GaitSequence training_stairs_down_menu_realsense_stairs_down(&states_array[TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN], &states_array[TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN_SELECTED], &states_array[TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN_ACTIVATED], &states_array[TRAINING_OBSTACLE_MENU_STAIRS_MENU]);
GaitSequence training_stairs_down_menu_realsense_stairs_down_single_step(&states_array[TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN_SINGLE_STEP], &states_array[TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN_SINGLE_STEP_SELECTED], &states_array[TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN_SINGLE_STEP_ACTIVATED], &states_array[TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN_SINGLE_STEP]);
GaitSequence training_stairs_down_reverse_menu_stairs_down_reverse(&states_array[TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE], &states_array[TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE_SELECTED], &states_array[TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE_ACTIVATED], &states_array[TRAINING_OBSTACLE_MENU_STAIRS_MENU]);
GaitSequence training_stairs_down_reverse_menu_stairs_down_reverse_single_step(&states_array[TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE_SINGLE_STEP], &states_array[TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE_SINGLE_STEP_SELECTED], &states_array[TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE_SINGLE_STEP_ACTIVATED], &states_array[TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE_SINGLE_STEP]);
GaitSequence training_stairs_down_reverse_menu_realsense_stairs_down_reverse(&states_array[TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE], &states_array[TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE_SELECTED], &states_array[TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE_ACTIVATED], &states_array[TRAINING_OBSTACLE_MENU_STAIRS_MENU]);
GaitSequence training_stairs_down_reverse_menu_realsense_stairs_down_reverse_single_step(&states_array[TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE_SINGLE_STEP], &states_array[TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE_SINGLE_STEP_SELECTED], &states_array[TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE_SINGLE_STEP_ACTIVATED], &states_array[TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE_SINGLE_STEP]);
GaitSequence training_ramp_down_menu_ramp_down_last_step(&states_array[TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_LAST_STEP], &states_array[TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_LAST_STEP_SELECTED], &states_array[TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_LAST_STEP_ACTIVATED], &states_array[TRAINING_OBSTACLE_MENU_RAMP_MENU]);
GaitSequence training_ramp_down_menu_ramp_down(&states_array[TRAINING_RAMP_DOWN_MENU_RAMP_DOWN], &states_array[TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_SELECTED], &states_array[TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_ACTIVATED], &states_array[TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_LAST_STEP]);
GaitSequence training_ramp_up_menu_ramp_up(&states_array[TRAINING_RAMP_UP_MENU_RAMP_UP], &states_array[TRAINING_RAMP_UP_MENU_RAMP_UP_SELECTED], &states_array[TRAINING_RAMP_UP_MENU_RAMP_UP_ACTIVATED], &states_array[TRAINING_OBSTACLE_MENU_RAMP_MENU]);
GaitSequence training_ramp_up_menu_ramp_up_single_step(&states_array[TRAINING_RAMP_UP_MENU_RAMP_UP_SINGLE_STEP], &states_array[TRAINING_RAMP_UP_MENU_RAMP_UP_SINGLE_STEP_SELECTED], &states_array[TRAINING_RAMP_UP_MENU_RAMP_UP_SINGLE_STEP_ACTIVATED], &states_array[TRAINING_RAMP_UP_MENU_RAMP_UP_SINGLE_STEP]);
GaitSequence training_ramp_down_menu_realsense_ramp_down_last_step(&states_array[TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_LAST_STEP], &states_array[TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_SELECTED], &states_array[TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_ACTIVATED], &states_array[TRAINING_OBSTACLE_MENU_RAMP_MENU]);
GaitSequence training_start_menu_realsense_ramp_down_last_step_d(&states_array[TRAINING_START_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_D], &states_array[TRAINING_START_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_D_SELECTED], &states_array[TRAINING_START_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_D_ACTIVATED], &states_array[TRAINING_START_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_D]);
GaitSequence training_ramp_down_menu_realsense_ramp_down(&states_array[TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN], &states_array[TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_SELECTED], &states_array[TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_ACTIVATED], &states_array[TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_LAST_STEP]);
GaitSequence training_start_menu_realsense_ramp_down_d(&states_array[TRAINING_START_MENU_REALSENSE_RAMP_DOWN_D], &states_array[TRAINING_START_MENU_REALSENSE_RAMP_DOWN_D_SELECTED], &states_array[TRAINING_START_MENU_REALSENSE_RAMP_DOWN_D_ACTIVATED], &states_array[TRAINING_START_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_D]);
GaitSequence training_ramp_up_menu_realsense_ramp_up(&states_array[TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP], &states_array[TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP_SELECTED], &states_array[TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP_ACTIVATED], &states_array[TRAINING_OBSTACLE_MENU_RAMP_MENU]);
GaitSequence training_start_menu_realsense_ramp_up_d(&states_array[TRAINING_START_MENU_REALSENSE_RAMP_UP_D], &states_array[TRAINING_START_MENU_REALSENSE_RAMP_UP_D_SELECTED], &states_array[TRAINING_START_MENU_REALSENSE_RAMP_UP_D_ACTIVATED], &states_array[TRAINING_START_MENU_REALSENSE_RAMP_UP_D]);
GaitSequence training_ramp_down_menu_ramp_down_single_step(&states_array[TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_SINGLE_STEP], &states_array[TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_SINGLE_STEP_SELECTED], &states_array[TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_SINGLE_STEP_ACTIVATED], &states_array[TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_SINGLE_STEP]);
GaitSequence training_ramp_up_menu_realsense_ramp_up_single_step(&states_array[TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP_SINGLE_STEP], &states_array[TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP_SINGLE_STEP_SELECTED], &states_array[TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP_SINGLE_STEP_ACTIVATED], &states_array[TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP_SINGLE_STEP]);
GaitSequence training_ramp_down_menu_realsense_ramp_down_single_step(&states_array[TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_SINGLE_STEP], &states_array[TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_SINGLE_STEP_SELECTED], &states_array[TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_SINGLE_STEP_ACTIVATED], &states_array[TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_SINGLE_STEP]);
GaitSequence training_ramp_down_menu_realsense_ramp_down_start_single_step(&states_array[TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_START_SINGLE_STEP], &states_array[TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_START_SINGLE_STEP_SELECTED], &states_array[TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_START_SINGLE_STEP_ACTIVATED], &states_array[TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_SINGLE_STEP]);
GaitSequence training_ramp_down_menu_ramp_down_start_single_step(&states_array[TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_START_SINGLE_STEP], &states_array[TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_START_SINGLE_STEP_SELECTED], &states_array[TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_START_SINGLE_STEP_ACTIVATED], &states_array[TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_SINGLE_STEP]);
    
    //All menus are constructed
StartMenuLarge training_start_menu(&states_array.at(TRAINING_START_MENU_HOME_SIT), &states_array.at(TRAINING_START_MENU_STAND_D), &states_array.at(TRAINING_START_MENU_REALSENSE_SIT_D), &states_array.at(TRAINING_START_MENU_REALSENSE_STAND_D), &states_array.at(TRAINING_START_MENU_REALSENSE_CURB_UP_D), &states_array.at(TRAINING_START_MENU_REALSENSE_RAMP_UP_D), &states_array.at(TRAINING_START_MENU_REALSENSE_RAMP_DOWN_D), &states_array.at(TRAINING_START_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_D), &states_array.at(TRAINING_START_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP_D), &states_array.at(TRAINING_START_MENU_OBSTACLE_MENU));
ShortcutMenu training_walk_menu(&states_array.at(TRAINING_WALK_MENU_WALK_LARGE_SINGLE_STEP), &states_array.at(TRAINING_WALK_MENU_WALK_LARGE), &states_array.at(TRAINING_WALK_MENU_WALK_SINGLE_STEP), &states_array.at(TRAINING_WALK_MENU_WALK), &states_array.at(TRAINING_WALK_MENU_HOME_STAND));
Menu training_start_menu_obstacle_menu(&states_array.at(TRAINING_START_MENU_OBSTACLE_MENU), &states_array.at(TRAINING_OBSTACLE_MENU_CURB_MENU), &states_array.at(TRAINING_OBSTACLE_MENU_STAIRS_MENU), &states_array.at(TRAINING_OBSTACLE_MENU_SIT_MENU), &states_array.at(TRAINING_OBSTACLE_MENU_RAMP_MENU));
Menu training_obstacle_menu_curb_menu(&states_array.at(TRAINING_OBSTACLE_MENU_CURB_MENU), &states_array.at(TRAINING_CURB_MENU_CURB_UP), &states_array.at(TRAINING_CURB_MENU_REALSENSE_CURB_UP), &states_array.at(TRAINING_CURB_MENU_CURB_DOWN), &states_array.at(TRAINING_CURB_MENU_REALSENSE_CURB_DOWN));
Menu training_obstacle_menu_sit_menu(&states_array.at(TRAINING_OBSTACLE_MENU_SIT_MENU), &states_array.at(TRAINING_SIT_MENU_SIT), &states_array.at(TRAINING_SIT_MENU_REALSENSE_SIT), &states_array.at(TRAINING_SIT_MENU_STAND), &states_array.at(TRAINING_SIT_MENU_REALSENSE_STAND));
Menu training_obstacle_menu_stairs_menu(&states_array.at(TRAINING_OBSTACLE_MENU_STAIRS_MENU), &states_array.at(TRAINING_STAIRS_MENU_STAIRS_UP_MENU), &states_array.at(TRAINING_STAIRS_MENU_STAIRS_DOWN_MENU), &states_array.at(TRAINING_STAIRS_MENU_STAIRS_DOWN_REVERSE_MENU));
Menu training_stairs_menu_stairs_up_menu(&states_array.at(TRAINING_STAIRS_MENU_STAIRS_UP_MENU), &states_array.at(TRAINING_STAIRS_UP_MENU_STAIRS_UP), &states_array.at(TRAINING_STAIRS_UP_MENU_STAIRS_UP_SINGLE_STEP), &states_array.at(TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP), &states_array.at(TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP));
Menu training_stairs_menu_stairs_down_menu(&states_array.at(TRAINING_STAIRS_MENU_STAIRS_DOWN_MENU), &states_array.at(TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN), &states_array.at(TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN_SINGLE_STEP), &states_array.at(TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN), &states_array.at(TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN_SINGLE_STEP));
Menu training_stairs_menu_stairs_down_reverse_menu(&states_array.at(TRAINING_STAIRS_MENU_STAIRS_DOWN_REVERSE_MENU), &states_array.at(TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE), &states_array.at(TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE_SINGLE_STEP), &states_array.at(TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE), &states_array.at(TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE_SINGLE_STEP));
Menu training_obstacle_menu_ramp_menu(&states_array.at(TRAINING_OBSTACLE_MENU_RAMP_MENU), &states_array.at(TRAINING_RAMP_MENU_RAMP_UP_MENU), &states_array.at(TRAINING_RAMP_MENU_RAMP_DOWN_MENU));
Menu training_ramp_menu_ramp_up_menu(&states_array.at(TRAINING_RAMP_MENU_RAMP_UP_MENU), &states_array.at(TRAINING_RAMP_UP_MENU_RAMP_UP), &states_array.at(TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP), &states_array.at(TRAINING_RAMP_UP_MENU_RAMP_UP_SINGLE_STEP), &states_array.at(TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP_SINGLE_STEP));
MenuLarge training_ramp_menu_ramp_down_menu(&states_array.at(TRAINING_RAMP_MENU_RAMP_DOWN_MENU), &states_array.at(TRAINING_RAMP_DOWN_MENU_RAMP_DOWN), &states_array.at(TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_START_SINGLE_STEP), &states_array.at(TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_SINGLE_STEP), &states_array.at(TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_LAST_STEP), &states_array.at(TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN), &states_array.at(TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_START_SINGLE_STEP), &states_array.at(TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_SINGLE_STEP), &states_array.at(TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_LAST_STEP));return training_walk_menu;

}

#endif


